#include <iostream>
#include <vector>
#include <string>
#ifndef pedigree_H_
#define pedigree_H_

using namespace std;
/*******************************************************************/
/*   Class Object to Store Information About Each Animal           */
/* (General Catch-All Class and all variables may not be Used)     */
/*******************************************************************/
class Pedigree_Class
{
private:
    std::string animal;              /* Original Animal ID */
    string sire;                /* Original Sire ID */
    string dam;                 /* Orignal Dam ID */
    int renumanim;              /* Renumbered ID */
    int generation;             /* Generation Number */
    string genotype;            /* Genotype */
public:
    Pedigree_Class();
    ~Pedigree_Class();
    /* Original Animal ID */
    string get_animal(){return animal;}
    void upd_animal(string temp);
    /* Original Sire ID */
    string get_sire(){return sire;}
    void upd_sire(string temp);
    /* Original Dam ID */
    string get_dam(){return dam;}
    void upd_dam(string temp);
    /* Renumbered ID */
    int get_renumanim(){return renumanim;}
    void upd_renumanim(int temp);
    /* Generation Number */
    int get_generation(){return generation;}
    void upd_generation(int temp);
    /* Genotype */
    string get_genotype(){return genotype;}
    void upd_genotype(string temp);
};

#endif
